%define major 12
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Abraction/convenience libraries for OpenEXR
Name:		ilmbase
Version:	2.2.0
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		http://www.openexr.com
Source0:	http://download.savannah.nongnu.org/releases/openexr/%{name}-%{version}.tar.xz
Patch0:		%{name}-1.0.0-pthread.patch
Patch2:		ilmbase-1.0.3-pkgconfig.patch
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)

%description
Half is a class that encapsulates the ilm 16-bit floating-point format.

IlmThread is a thread abstraction library for use with OpenEXR
and other software packages.

Imath implements 2D and 3D vectors, 3x3 and 4x4 matrices, quaternions
and other useful 2D and 3D math functions.

Iex is an exception-handling library.

%package -n	%{libname}
Summary:	Abraction/convenience libraries for OpenEXR
Group:		System/Libraries

%description -n	%{libname}
Half is a class that encapsulates the ilm 16-bit floating-point format.

IlmThread is a thread abstraction library for use with OpenEXR
and other software packages.

Imath implements 2D and 3D vectors, 3x3 and 4x4 matrices, quaternions
and other useful 2D and 3D math functions.

Iex is an exception-handling library.


%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	mesaglu-devel
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	OpenEXR-devel < 1.4.1

%description -n	%{develname}
Development files for %{name}.

%prep
%setup -q
%patch0 -p1
%patch2 -p1

%build
./bootstrap
%configure2_5x \
	--disable-static

%make

%install
%makeinstall_std

rm -f  %{buildroot}%{_libdir}/lib*.la
%clean
rm -rf %{buildroot}

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig


%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog  NEWS README
%{_includedir}/OpenEXR/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*


%changelog
* Fri Aug 12 2016 adrianomorselli <adrianomorselli> 2.20-1uplos2015
- rebuild

* Tue Jul 21 2015 pp <pp> 2.20-1pclos2015
- update

* Mon Jul 25 2011 Texstar <texstar at gmail.com> 1.0.2-1pclos2011
- update for 2011


